org.jbpm.services.api.model

## Interface UserTaskInstanceDesc

- All Known Subinterfaces:
    UserTaskInstanceWithPotOwnerDesc, UserTaskInstanceWithVarsDesc
  All Known Implementing Classes:
    UserTaskInstanceDesc, UserTaskInstanceWithPotOwnerDesc, UserTaskInstanceWithVarsDesc

      public interface UserTaskInstanceDesc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getActivationTime()`
    `String` | `getActualOwner()`
    `String` | `getCreatedBy()`
    `Date` | `getCreatedOn()`
    `String` | `getDeploymentId()`
    `String` | `getDescription()`
    `Date` | `getDueDate()`
    `String` | `getFormName()`
    `String` | `getName()`
    `Integer` | `getPriority()`
    `String` | `getProcessId()`
    `Long` | `getProcessInstanceId()`
    `Integer` | `getSlaCompliance()`
    `Date` | `getSlaDueDate()`
    `String` | `getStatus()`
    `Long` | `getTaskId()`
    `Long` | `getWorkItemId()`

- - ### Method Detail

    - #### getTaskId

          Long getTaskId()

    - #### getStatus

          String getStatus()

    - #### getActivationTime

          Date getActivationTime()

    - #### getName

          String getName()

    - #### getDescription

          String getDescription()

    - #### getPriority

          Integer getPriority()

    - #### getCreatedBy

          String getCreatedBy()

    - #### getCreatedOn

          Date getCreatedOn()

    - #### getDueDate

          Date getDueDate()

    - #### getProcessInstanceId

          Long getProcessInstanceId()

    - #### getProcessId

          String getProcessId()

    - #### getActualOwner

          String getActualOwner()

    - #### getDeploymentId

          String getDeploymentId()

    - #### getFormName

          String getFormName()

    - #### getWorkItemId

          Long getWorkItemId()

    - #### getSlaCompliance

          Integer getSlaCompliance()

    - #### getSlaDueDate

          Date getSlaDueDate()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.